import * as $dara from '@darabonba/typescript';
export declare class DescribePropertyUserItemResponseBodyPageInfo extends $dara.Model {
    /**
     * @remarks
     * The number of entries returned on the current page.
     *
     * @example
     * 2
     */
    count?: number;
    /**
     * @remarks
     * The page number of the returned page.
     *
     * @example
     * 1
     */
    currentPage?: number;
    /**
     * @remarks
     * The number of entries returned per page.
     *
     * @example
     * 2
     */
    pageSize?: number;
    /**
     * @remarks
     * The total number of entries returned.
     *
     * @example
     * 114
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePropertyUserItemResponseBodyPropertyItems extends $dara.Model {
    /**
     * @remarks
     * The number of servers that belong to the account.
     *
     * @example
     * 384
     */
    count?: number;
    /**
     * @remarks
     * The name of the account.
     *
     * @example
     * adm
     */
    user?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePropertyUserItemResponseBody extends $dara.Model {
    /**
     * @remarks
     * The pagination information.
     */
    pageInfo?: DescribePropertyUserItemResponseBodyPageInfo;
    /**
     * @remarks
     * An array that consists of the account information returned.
     */
    propertyItems?: DescribePropertyUserItemResponseBodyPropertyItems[];
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 76068BE2-F9C4-4EDD-967B-F503B8CCDD3D
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
